Subject: bug#16913: Please extend case-fold-search on-the-fly toggling

From: Juri Linkov <[email-masked]>
Date: Wed, 11 May 2022 20:12:32 +0300

> I'm not sure how the rgrep command could be extended here -- do you mean
> that the user should type `M-c' at the first prompt to change
> case-fold-search?  Or perhaps alter `read-regexp' to bind `M-c' to alter
> case-fold-search?
>
> Hm...  The latter seems like it could be generally useful, but I don't
> see any practical way of implementing it.  I mean, we can't just set
> case-fold-search here, because that would require all read-regexp
> callers to bind it first.
>
> Hm.  Anybody got any ideas?

When sometimes necessary to toggle case sensitivity, I use 'C-u rgrep'
and edit the command line by adding/removing "-i" before running grep.